Fund a loan (legacy)

This request funds a loan account using LoanPro's legacy funding method.

   Click here to learn more about this request

ℹ️

This is the legacy version of loan funding.

This method works, but it's no longer the standard for loan funding. We've added an Enhanced Funding process that funds a loan with additional functionality. Take a look at our Enhanced Funding request to see how it works.

Note the following when making this request:

The funding tool helps lenders keep track of how they give money to their borrowers.

There are multiple methods for funding a loan, and the method field determines which is used.

Database

For information regarding enhanced funding database tables, see the following articles:

Database – Enhanced Funding (loan_funding_transaction_entity)

Database – Funding Category (funding_category_entity)

{  
   "LoanFunding":{  
      "results":[  
         {  
            "amount": 1500,
            "date": "2022-02-08",
            "cashDrawerId": "",
            "whoEntityType": "Entity.Customer",
            "method": "loan.funding.method.deposit",
            "authorizationType": "loan.funding.auth.web",
            "country": "company.country.usa",
            "whoEntityId_customer": 534,
            "whoEntityId": 534,
            "selectedProcessor": "1",
            "paymentAccountId": 276
         }
      ]
   }
}
Path Params
int32
required

This is the ID of the loan account.

Body Params
LoanFunding
object
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json